package net.antonioshome.clexec;

import java.io.File;
import java.io.IOException;
import java.util.concurrent.Future;

/**
 * A CommandLineExecutor used in Windows (XP) operating systems.
 * It basically adds "cmd /c" to the command to execute.
 * @author Antonio Vieiro (antonio@antonioshome.net)
 * @author $Author: $
 * @version $Revision: $
 */
class WindowsCommandLineExecutor
  extends UnixCommandLineExecutor
{

  @Override
  public Future<Integer> execute(ProcessStreams anInputOutput,
    File aWorkingDirectory, String aCommandLine)
    throws IOException
  {
    return super.execute( anInputOutput, aWorkingDirectory, "cmd /c " + aCommandLine );
  }

}
